library(NCmisc)
library(tidyverse)

source("codes/0_install_packages.R")

# Make list of all functions by package
funcs <- list.files(here::here(), pattern ="\\.R$", recursive = TRUE, full.names = TRUE) %>% map(list.functions.in.file) %>%flatten
#funcs <- list.files(here::here(), pattern ="2_gml_function.R", recursive = TRUE, full.names = TRUE) %>% map(list.functions.in.file) %>%flatten



funcs[names(funcs) == "character(0)"] %>% unlist %>% as.character %>% sort

# Extract just the unique package names
packages <- 
  funcs %>%
  names %>%
  str_extract("package:[[:alnum:]]*") %>%
  str_split(",") %>%
  unlist %>%
  str_remove("package:") %>%
  unique %>%
  sort

packages
