clear all
set mem 500m
set more off
set varabbrev on
set maxvar 20000
*******************************************************************
/* CHANGE THE NEXT 3 LINES AS NEEDED
global version="kathleen"
if "$version"=="kathleen" { 
	global path "C:\Users\wb82986\Dropbox\djibouti_IE\16_Analysis\PRWP_reproducibility\"
	} 
*******************************************************************/

global path "C:/Users/wb558768/Downloads/RR_WLD_2024_159"

sysdir set PLUS "${path}/dofiles/ado"

do "$path\dofiles\midline_analysis_0.do"
do "$path\dofiles\midline_analysis_1.do"

do "$path\dofiles\endline_analysis_0.do"
do "$path\dofiles\endline_analysis_1.do"

do "$path\dofiles\stats_misc.do"

do "$path\dofiles\figures.do"

do "$path\dofiles\edam2017_labor.do"

* Stata files

* R files 
global r_data "C:\Users\wb558768\Downloads\DJI PRWP_reproducibility\reproducibility_package_159\data"

use "${r_data}/midline_analysis", clear

* test (stata and R)
use "${path}/data_analysis/midline_analysis.dta", clear

cf _all using "${r_data}/midline_analysis", v

// this is fine

* (From r to stata)
use "${r_data}/midline_analysis", clear
append using "${path}/data_analysis/midline_analysis.dta", gen(new)

cf _all using "${path}/data_analysis/midline_analysis.dta", v

* El:
use "${path}/data_analysis/endline_analysis.dta", clear

cf _all using "${r_data}/endline_analysis.dta", v

* (From r to stata)
use "${r_data}/endline_analysis", clear

cf _all using "${path}/data_analysis/endline_analysis.dta", v